Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature.schema
Class GMLSchemaDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.framework.xml.schema.XSDocument
              org.deegree.model.feature.schema.GMLSchemaDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MappedGMLSchemaDocument

    public class GMLSchemaDocument

extends XSDocument

Parser for GML application schema documents.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Anup Deshmukh , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`GMLSchemaDocument()`

Method Summary
`GMLSchema` | `parseGMLSchema()` Returns the class representation of the underlying GML schema document.

Methods inherited from class org.deegree.framework.xml.schema.XSDocument
`extractComplexTypeDeclarations, extractElementDeclarations, extractSimpleTypeDeclarations, getComplexTypeDeclaration, getFullName, getTargetNamespace, parseComplexTypeDeclaration, parseElementDeclaration, parseSimpleTypeDeclaration, parseXMLSchema`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GMLSchemaDocument

    public GMLSchemaDocument()

Method Detail

### parseGMLSchema

    public GMLSchema parseGMLSchema()
                             throws XMLParsingException,
                                    XMLSchemaException,
                                    UnknownCRSException

  Returns the class representation of the underlying GML schema document.

  Returns:
    class representation of the underlying GML schema document
  Throws:
    `XMLParsingException`
    `XMLSchemaException`
    `UnknownCRSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org